Bug 18632

Summary: CGI::param called in list context flooding error logs
Product: Koha Reporter: Eric Vantillard <eric.vantillard>
Component: Architecture, internals, and plumbingAssignee: Jonathan Druart <jonathan.druart+koha>
Status: CLOSED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: normal    
Priority: P5 - low CC: jonathan.druart+koha, katrin.fischer, kyle, m.de.rooy, mtj
Version: master   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18633
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18716
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18858
Change sponsored?: --- Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 16154    
Bug Blocks: 18741    
Attachments: Bug 18632: Remove 'CGI::param called in list context' warnings
[SIGNED-OFF] Bug 18632: Remove 'CGI::param called in list context' warnings
Bug 18632: Remove 'CGI::param called in list context' warnings
[16.11.x] Bug 18632: Remove 'CGI::param called in list context' warnings

Description Eric Vantillard 2017-05-18 18:49:02 UTC
see https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16154

Here are the error logs (I have removed duplicated errors)

authorised_values.pl: CGI::param called in list context from package main line 195, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/admin/authorised_values.pl
classsources.pl: CGI::param called in list context from package main line 68, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/admin/classsources.pl?op=edit_source&class_source=ddc
import_export_framework.pl: CGI::param called in list context from package main line 87, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/admin/biblio_framework.pl
install.pl: CGI::param called in list context from package main line 207, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/installer/install.pl
itemsearch.pl: CGI::param called in list context from package Template::Document line 118, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/about.pl
itemsearch.pl: CGI::param called in list context from package Template::Document line 370, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/about.pl
itemsearch.pl: CGI::param called in list context from package Template::Document line 375, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/about.pl
itemsearch.pl: CGI::param called in list context from package Template::Document line 41, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/about.pl
itemsearch.pl: CGI::param called in list context from package Template::Document line 43, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436., referer: http://xxx/cgi-bin/koha/about.pl
Comment 1 Jonathan Druart 2017-05-18 20:45:43 UTC
Created attachment 63548 [details] [review]
Bug 18632: Remove 'CGI::param called in list context' warnings

Once again, after bug 16154 and bug 16259 we need to remove more
occurrence of CGi->param called in list context.
Refer to bug 15809 for more information.

Test plan:
Make sure you do not see the error on the modified scripts.
Comment 2 Josef Moravec 2017-05-22 11:08:37 UTC
Created attachment 63610 [details] [review]
[SIGNED-OFF] Bug 18632: Remove 'CGI::param called in list context' warnings

Once again, after bug 16154 and bug 16259 we need to remove more
occurrence of CGi->param called in list context.
Refer to bug 15809 for more information.

Test plan:
Make sure you do not see the error on the modified scripts.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-05-26 06:19:50 UTC
Created attachment 63727 [details] [review]
Bug 18632: Remove 'CGI::param called in list context' warnings

Once again, after bug 16154 and bug 16259 we need to remove more
occurrence of CGi->param called in list context.
Refer to bug 15809 for more information.

Test plan:
Make sure you do not see the error on the modified scripts.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-05-29 02:25:42 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-06-05 12:49:20 UTC
This doesn't apply cleanly to 16.11.x - I can remove the patron club related files, but not sure about the other conflicts. Please rebase!
Comment 6 Katrin Fischer 2017-07-16 12:52:25 UTC
Can I get a rebased patch for 16.11.x please?
Comment 7 Jonathan Druart 2017-07-17 13:52:19 UTC
Created attachment 65072 [details] [review]
[16.11.x] Bug 18632: Remove 'CGI::param called in list context' warnings

Once again, after bug 16154 and bug 16259 we need to remove more
occurrence of CGi->param called in list context.
Refer to bug 15809 for more information.

Test plan:
Make sure you do not see the error on the modified scripts.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Katrin Fischer 2017-08-16 21:20:05 UTC
Thx for the patch, Jonathan!

This patch has been pushed to 16.11.x and will be in 16.11.11.
Comment 9 Mason James 2017-08-24 13:58:05 UTC
Pushed to 16.05.x, for 16.05.16 release